Summary: Another file integrity checker
# The Summary: line should be expanded to about here -----^
Name: afick
Version: 2.6
Release: 2
Group: Applications/System
Copyright: GPL
Source: afick.tar.gz
#BuildRoot: /tmp/afick-root
BuildRoot:  %{_topdir}/installroots/%{name}-%{version}-%{release}
# Following are optional fields
URL: http://afick.sourceforge.net
Packager: Eric Gerbier <gerbier@users.sourceforge.ne>
#Distribution: Red Hat Contrib-Net
#Patch: build.patch
#Prefix: /
BuildArch: noarch
Requires: perl
#%if %perlversion
#Requires: perl-Digest-MD5
#%endif
#Obsoletes: 

%description
afick is a portable file integrity checker
(it only needs standard perl to work).
it will be run daily by cron to detect new/deleted/modified files
It works by first (init) making an image of strategic directories attributes,
and then compare the disk status with this image.
A Graphical interface is available in afick-gui package.

%prep
%setup -c afick
#%patch

%install
#cp -a . ${RPM_BUILD_ROOT-/}
mkdir $RPM_BUILD_ROOT
cp -a etc usr var ${RPM_BUILD_ROOT-/}


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%pre
#force save old config (mandrake problem ?)
#if [ x"$1" > x"1" ]
#then
#	cp /etc/afick.conf /etc/afick.conf.rpmsave
#	echo "save old config as /etc/afick.conf.rpmsave"
#fi
# check perl version
perlversion=$( perl -e 'if ( $] < 5.008 ){ print 1} else { print 0};' )
if [ $perlversion -eq 1 ]
then
	#check for perl-Digest-MD5
	# in old release, needs an external package
	# but is included in new perl releases
	perl -e 'eval { require Digest::MD5 }; exit 1 if $@'
	if [ $? -eq 1 ]
	then
		echo "afick requires perl-Digest-MD5 package"
		exit
	else
		echo "found perl-Digest-MD5 : ok"
	fi
fi

%post
if [ "$1" = "1" ]
then
	echo "first install : we will initiate the database"
	afick -i
else
	echo "package update"
fi

%postun

%files
%defattr(-,root,root)
%doc AUTHORS
%doc Changelog
%doc COPYING
%doc COPYRIGHT
%doc INSTALL
%doc linux.conf
%doc NEWS
%doc README
%doc TODO
%doc afick.lsm
%doc afick.1.html
%doc afick.conf.5.html
%doc afickonfig.1.html
%doc afick-tk.1.html
%doc changelog-gui.html
%doc changelog.html
%doc changelog-webmin.html
%doc credits.html
%doc faq.html
%doc functions.html
%doc index.fr.html
%doc index.html
%doc install.html
%doc lang_english.gif
%doc lang_french.gif
%doc mail.jpg
%doc main.fr.html
%doc main.html
%doc menu.fr.html
%doc menu.html
%doc news.html
%doc perf.html
%doc relatives.html
%doc screenshots.html
%doc support.html
%doc todo.html
%doc usage.html
%doc why.html
%config(noreplace) %attr(0600 root root)  /etc/afick.conf
%dir /etc/cron.daily
%config(noreplace) /etc/cron.daily/afick.cron
%dir /etc/logrotate.d
%config(noreplace) /etc/logrotate.d/afick
/usr/bin/afick.pl
/usr/bin/afick
/usr/bin/afickonfig.pl
/usr/bin/afickonfig
/usr/bin/afick-common.pl
%doc /usr/share/man/man1/afick.1*
%doc /usr/share/man/man1/afickonfig.1*
%doc /usr/share/man/man5/afick.conf.5*
%dir %attr(0700 root root) /var/lib/afick
%dir %attr(0700 root root) /var/lib/afick/archive
%dir %attr(0700 root root) /var/log/afick/


%package gui
Summary: A graphical interface for afick
# The Summary: line should be expanded to about here -----^
Group: Applications/System
# Following are optional fields
#Distribution: Red Hat Contrib-Net
#Patch: build.patch
#Prefix: /
BuildArch: noarch
Requires:  afick >= 2.0, perl-Tk
Conflicts: afick < 2.0
#Obsoletes: 

%description gui
afick-gui is perl/tk tool for afick software
It can be used to launch afick with differents options
and to have a graphical view of results
It comes with menu for integration in kde/gnome ...

%post gui
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi

%postun gui
if [ "$1" = "0" -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi

%files gui 
%defattr(-,root,root)
%doc AUTHORS
%doc Changelog
%doc COPYING
%doc COPYRIGHT
%doc INSTALL
%doc linux.conf
%doc NEWS
%doc README
%doc TODO
%doc afick.lsm
%doc afick.1.html
%doc afick.conf.5.html
%doc afickonfig.1.html
%doc afick-tk.1.html
%doc changelog-gui.html
%doc changelog.html
%doc changelog-webmin.html
%doc credits.html
%doc faq.html
%doc functions.html
%doc index.fr.html
%doc index.html
%doc install.html
%doc lang_english.gif
%doc lang_french.gif
%doc mail.jpg
%doc main.fr.html
%doc main.html
%doc menu.fr.html
%doc menu.html
%doc news.html
%doc perf.html
%doc relatives.html
%doc screenshots.html
%doc support.html
%doc todo.html
%doc usage.html
%doc why.html
/usr/bin/afick-tk.pl
/usr/bin/afick-tk
/usr/bin/afick-gui
%dir /usr/lib/menu
/usr/lib/menu/afick-gui
%dir /usr/share/applnk/
%dir /usr/share/applnk/System/
/usr/share/applnk/System/afick.desktop
%dir /usr/share/gnome/
%dir /usr/share/gnome/apps/
%dir /usr/share/gnome/apps/System/
/usr/share/gnome/apps/System/afick.desktop
/usr/share/icons/afick.xpm
/usr/share/icons/afick.png
%dir /usr/share/pixmaps
/usr/share/pixmaps/afick.xpm
/usr/share/pixmaps/afick.png
%doc /usr/share/man/man1/afick-tk.1*

%changelog
* Wed Jan 13 2005 Eric Gerbier <gerbier@users.sourceforge.net> 2.6.2
- fix a bug on afickonfig with directives
- avoid scan if list mode contains exceptions (rech_parent)
- open database in read-only mode if compare (bug report from Brian Warshawsky)
- do not write control file in compare mode

* Mon Jan 6 2005 Eric Gerbier <gerbier@users.sourceforge.net> 2.6.1
- now create history file, archive dir if not exists
- on window, launch icon is now in afick menu
- add a warning if nothing to scan
- debug and clean list options treatement

* Wed Dec 15 2004 Eric Gerbier  <gerbier@users.sourceforge.net> 2.6.0 
- restrict config file perm (security)
- add max_checksum_size directive for partial checksum on big files (idea from Emmanuel Florac)
- add exclude_re directive for regular expressions filter
- on history, delete change entry color to black (afick-gui)
- change color for deleted from blue to brown (afick-gui)
- move style declare to where it is used (afick-gui)
- change clean history algo (work on one file only) (afick-gui)

* Wed Nov 10 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.5.0
- fix bug on print_config option
- add alias, macros, rules options on afickonfig
- check config validity at end of afickonfig
- add info on check_config
- now use common lib afick_common.pl
- add option clean_config (afick.pl)
- rewrite alias parsing ( now in good order)
- fix bug in E alias use

* Wed Oct 15 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.4.0
- change tar.gz for aix
- add short option -A for --archive
- clean rpm files with rpmlint
- now check macro syntaxe (afick.pl)
- fix bug in planning.pl (remove rem)
- add afick_planning.pl to send MessageBox to user on windows from service planning
- test if archive dir exists (afick.pl)
- now can choice day/time for service planning (planning.pl)
- change all dates from gmt to local time
- print_config option now print macros/alias/rules too
- add current version in report header
- add exclude_prefix directive
- rewrite exclude algo to be faster

* Tue Jul 21 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.3.1
- remove perl-Digest-MD5 dependency to work on recent distrib with perl 5.8
  a perl test is now done in pre-install stage

* Tue Jun 29 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.3.0 (gui)
- fix bad pourcent display on init (to 0)
- replace configuration buttons by menus

* Tue Jun 29 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.3.0
- add afickonfig.pl tool to manage afick's config file
- add --database/-D option
- add comments on running options in output
- add check_config option
- rename scan.cmd into afick_scan.cmd
- change print_config output to the same format as config file
- test if exists before adding to service planning on windows
- remove old 'h' attribute (replaced by md5, or sha1)

* Mon May 10 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.2.0 (gui)
- replace buttons by menus
- add bind keys for quicker actions
- replace double quotes by simple if possible

* Mon May 10 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.2.0
- replace double quotes by simple if possible
- add the NICE macro to control afick cron job priority
- add the BATCH macro to control afick cron job run
- fix missing file name in print mode
- bug on dangling links, defined as top file in config file ( bad $rep)

* Mon Apr 5 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.1.0 (gui)
- reference to array in sub
- add history menu for history and archive access
- add colors in text 
- common colors
- now have a common load sub for all entries (pipe or saved files)
- a common sub (display_message) for all helps

* Mon Apr 5 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.1.0
- reference to array in sub
- new directive debug
- add an eval on FileSecurity to avoid perl crash or warning
- remove -T flag to have same version on all os
- a new Makefile.pl for tgz install (check dependencies)
- fix a bug with --print and archive mode
- add a planning.bat on windows to insert a task in planning

* Wed Mar 3 2004 Eric Gerbier <gerbier@users.sourceforge.net> 2.0.0
- add ignore_case directive/option
- add history directive/option
- add archive directive
- bug in soustractive alias
- remove/clean global var
- split in 2 packages command-line and gui
- add a makefile for tgz package
- add macro VERBOSE to suppress useless mail if no changes

* Tue Jan 28 2004 Eric Gerbier <gerbier@users.sourceforge.net> 1.8.0
- for new files, display inode date
- for deleted files, display parent change date
- output format change to allow automatic parsing (comments)
- add all perl dependencies in package
- resolv all name to absolute path
- afick-tk, more homogenous gui
- afick-tk, add tree view
- afick-tk, add balloon for context help

* Sat Jan 17 2004 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.7.0
- add a line to explain fields on print action
- add html doc 
- add acl instead uid field on windows (Win32::Filesecurity)
- now use POSIX macros for portability
- afick-tk, add a little 'wizard'
- afick-tk, now display file number and percent
- clean code with more global var and hash
- add sha1 checksum

* Wed Jan 01 2004 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.6.0
- fix a bug on report_url
- detect changes during scan
- fix a bug on deleted directories if not report_full
- add a new -t/timing flag to print cpu statistics
- add a new -r/--running_files to warn about modified files during program run

* Wed Dec 10 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.5.0
- add exclude_suffix directive
- add progress option for afick-tk
- new sub warning
- add new warnings on bad config lines
- fix a bug on alias resolution
- afick-tk, add progress bar and file stat
- afick-tk, add warning section, and update window
- afick-tk, rewrite widget structure
- afick-tk, new warning sub
- afick-tk, change saved output to .log
- afick-tk, rewrite help

* Wed Nov 27 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.4.1
- afick.cron, now test -x (leo west)
- rewrite afick help in a better way
- a better control between afick and afick.pl calls

* Mon Nov 13 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.4.0
- add an auto-control to check afick changes
- afick-tk, version in title
- perl checking for sub arguments
- change getopt for compatibility with old perl version
- allways get a hostname in cron job
- the exit status now depends upon changes

* Mon Oct 14 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.3.0
- add file type
- sort results
- add menu entries
- add report_full_newdel directive
- add ignore_missing_file directive
- add WARNING word for all warning
- add long options (gnu, posix)
- default config file change according operating system
- afick-tk, change cursor to clock during search
- afick-tk, radio-buttons to configure options
- afick-tk, fix bug in save config on windows

* Wed Oct 02 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.2.0
- add report and debug subroutines to have more general use
- add report_url directive (stdout, stderr, null)
- now have summary and detailed output
- test for directories for equal scan
- automatic database init on first install
- fix a bug on -l flag
- remove checksum on sockets
- afick-tk , edit and save config file
- afick-tk , report stderr too
- afick-tk , clear output after each operation
- afick-tk , outpout expand to fill window

* Mon Sep 22 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.1.0
- debian appliance
- new warn_dead_symlinks directive
- bugfix in md5 checksum
- distinguish dir and dir/ for =
- add quit buttons in afick-tk
- add about window in afick-tk
- add manpage for afick-tk
- add log file for cron jobs
- add logrotate for log file
- improved cron job (mailto and lines macros)

* Tue Sep 20 2003 Eric Gerbier <gerbier@hilarion.meteo.fr> 1.0.0
- default config file is /etc/afick.conf
- default database in /var/lib/afick
- default run by cron on a daily base
- database name now in config file (-b option is obsolete now)
- new "equals" file directive in config file ( directories to scan, withour recurse)
- new beta tk interface : afick-tk
- add ctime (c) and block count (b) parameters
- md5 parameter for use instead "h" (obsolete)

* Tue Aug 18 2003 Eric Gerbier <gerbier@hilarion.meteo.fr>
- release 0.9.3 : add aliases
- new config man page

* Tue Aug 12 2003 Eric Gerbier <gerbier@hilarion.meteo.fr>
- release 0.9.2 : add attributes

* Tue Sep 10 2002 Eric Gerbier <gerbier@hilarion.meteo.fr>
- Initial spec file created by autospec ver. 0.6 with rpm 2.5 compatibility
